require "json"

--[[

1) simple example

]]

print()

local str = "hello this is encryption"
encStr=encrypt(str)
decStr=decrypt(encStr)

print("original string: \t\t"..str)
print("byteEncrypted string: \t"..encStr)
print("decrypted string: \t\t"..decStr)

--[[ 

2) json example with file save/load

]]

local myTable = {"player", "abc123'x'()", {["myNumberString"] = "999999999", 1212, 23}}
local eT = json.encode(myTable)

print("\n--original json string: \t"..eT)

--open file "test.txt" and write data to it
local file = io.open("|D|test.txt", "w")
file:write(encrypt(eT))
file:close()

print("\n--encrypted json string: \t"..encrypt(eT))

--open file and save its contents into a variable
local file = io.open("|D|test.txt", "r")
local source = file:read("*all")
file:close()

print("\n--decrypted json string: \t"..decrypt(source))

--save the decoded json string back into a table
local dT = json.decode(decrypt(source))
myTable = dT

--[[you can find your encrypted file here:
Windows XP: C:\Documents and Settings\[YOUR USER NAME]\Local Settings\Temp\gideros\[YOUR APP NAME]
Windows Vista and Windows 7: C:\Users\[YOUR USER NAME]\AppData\Local\Temp\gideros\[YOUR APP NAME]
Mac OS X: $TMPDIR/gideros/[YOUR APP NAME]
]]