--list with arbitrary length, values must be between 0 and 255
--encrypt() takes the first value and adds it to the numerical value of the first char in the handed string
--then it adds the second value to the second string, and so on.
--keep in mind that this method is probably easy to hack.
local encVals = {5,23,42,127,252,144,77}

function encrypt(datastring)
	
	local index = 1
	
	--encrypted string which we will return in the end
	local newstring = ""
	
	for i=1, datastring:len() do
		
		--returns numerical value of the char at position i in handed string
		local oldChar = string.byte(datastring, i) 
		
		--change the char
		local newChar = oldChar + encVals[index]
		if newChar > 255 then
			newChar = newChar-255
		end
		
		--change encryption interval
		if index < #encVals then
			index = index+1
		else
			index = 1
		end
		
		--[[convert num value back to char]]
		newChar = string.char(newChar)
		
		--add encrypted char to return-string
		newstring = newstring..newChar
	end
	
	return newstring
end

function decrypt(datastring)
	
	local index = 1
	
	local newstring = ""
	
	for i=1, datastring:len() do
		
		--returns numerical value of the char at position i in handed string
		local oldChar = string.byte(datastring, i) 
		
		--change the char back
		local newChar = oldChar - encVals[index]
		if newChar < 0 then
			newChar = newChar+255
		end
		
		--change decryption interval
		if index < #encVals then
			index = index+1
		else
			index = 1
		end
		
		--[[convert num value back to letter]]
		newChar = string.char(newChar)
		
		--add decrypted char to return-string
		newstring = newstring..newChar
	end
	
	return newstring
end